Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.jdbc.oci
Class CallableStatement

    java.lang.Object
      |
      +--weblogic.jdbc.oci.Statement
            |
            +--weblogic.jdbc.oci.PreparedStatement
                  |
                  +--weblogic.jdbc.oci.CallableStatement

public final class CallableStatement
extends weblogic.jdbc.oci.PreparedStatement
implements java.sql.CallableStatement, weblogic.jdbc.common.OracleCallableStatement

This class contains WebLogic extensions to JDBC to support the use of cursors as parameters in CallableStatements. Only those methods are documented here.

Version:
  2.0
Author:
  Copyright (c) 1999 by BEA WebXpress. All Rights Resrved.

Fields inherited from class weblogic.jdbc.oci.Statement
`binded, closed, connection, current_queryresult, cursorparams, doExtendedSQL, fetchsize, jdk_codeset, lastvalnull, maxfieldsize, maxrows, nullvalid, ociconn, ocicursor, updatecnt, warnings`

Method Summary
`boolean` | `execute(java.lang.String a, int b)`
`boolean` | `execute(java.lang.String a, int[] b)`
`boolean` | `execute(java.lang.String a, java.lang.String[] b)`
`int` | `executeUpdate(java.lang.String a, int b)`
`int` | `executeUpdate(java.lang.String a, int[] b)`
`int` | `executeUpdate(java.lang.String a, java.lang.String[] b)`
`java.sql.Array` | `getArray(int i)`
`java.sql.Array` | `getArray(java.lang.String a)`
`java.math.BigDecimal` | `getBigDecimal(int parameterIndex)`
`java.math.BigDecimal` | `getBigDecimal(java.lang.String a)`
`java.sql.Blob` | `getBlob(int parameterIndex)`
`java.sql.Blob` | `getBlob(java.lang.String a)`
`boolean` | `getBoolean(java.lang.String a)`
`byte` | `getByte(java.lang.String a)`
`byte[]` | `getBytes(java.lang.String a)`
`java.sql.Clob` | `getClob(int parameterIndex)`
`java.sql.Clob` | `getClob(java.lang.String a)`
`java.sql.Date` | `getDate(int parameterIndex, java.util.Calendar cal)`
`java.sql.Date` | `getDate(java.lang.String a)`
`java.sql.Date` | `getDate(java.lang.String a, java.util.Calendar b)`
`double` | `getDouble(java.lang.String a)`
`float` | `getFloat(java.lang.String a)`
`java.sql.ResultSet` | `getGeneratedKeys()`
`int` | `getInt(java.lang.String a)`
`long` | `getLong(java.lang.String a)`
`boolean` | `getMoreResults(int a)`
`java.lang.Object` | `getObject(int i, java.util.Map map)`
`java.lang.Object` | `getObject(java.lang.String a)`
`java.lang.Object` | `getObject(java.lang.String a, java.util.Map b)`
`weblogic.jdbc.oci.ParameterMetaData` | `getParameterMetaData()`
`java.sql.Ref` | `getRef(int i)`
`java.sql.Ref` | `getRef(java.lang.String a)`
`java.sql.ResultSet` | `getResultSet(int parameterIndex)` Used to get a ResultSet back from a Stored Procedure which has had a Cursor bound to an OUT Parameter
`int` | `getResultSetHoldability()`
`short` | `getShort(java.lang.String a)`
`java.lang.String` | `getString(java.lang.String a)`
`java.sql.Time` | `getTime(int parameterIndex, java.util.Calendar cal)`
`java.sql.Time` | `getTime(java.lang.String a)`
`java.sql.Time` | `getTime(java.lang.String a, java.util.Calendar b)`
`java.sql.Timestamp` | `getTimestamp(int parameterIndex, java.util.Calendar cal)`
`java.sql.Timestamp` | `getTimestamp(java.lang.String a)`
`java.sql.Timestamp` | `getTimestamp(java.lang.String a, java.util.Calendar b)`
`java.net.URL` | `getURL(int a)`
`java.net.URL` | `getURL(java.lang.String a)`
`void` | `registerOutParameter(int parameterIndex, int sqlType, int scale)`
`void` | `registerOutParameter(int parameterIndex, int sqlType, java.lang.String typeName)`
`void` | `registerOutParameter(java.lang.String a, int b)`
`void` | `registerOutParameter(java.lang.String a, int b, int c)`
`void` | `registerOutParameter(java.lang.String a, int b, java.lang.String c)`
`void` | `setAsciiStream(java.lang.String a, java.io.InputStream b, int c)`
`void` | `setBigDecimal(java.lang.String a, java.math.BigDecimal b)`
`void` | `setBinaryStream(java.lang.String a, java.io.InputStream b, int c)`
`void` | `setBoolean(java.lang.String a, boolean b)`
`void` | `setByte(java.lang.String a, byte b)`
`void` | `setBytes(java.lang.String a, byte[] b)`
`void` | `setCharacterStream(java.lang.String a, java.io.Reader b, int c)`
`void` | `setDate(java.lang.String a, java.sql.Date b)`
`void` | `setDate(java.lang.String a, java.sql.Date b, java.util.Calendar c)`
`void` | `setDouble(java.lang.String a, double b)`
`void` | `setFloat(java.lang.String a, float b)`
`void` | `setInt(java.lang.String a, int b)`
`void` | `setLong(java.lang.String a, long b)`
`void` | `setNull(java.lang.String a, int b)`
`void` | `setNull(java.lang.String a, int b, java.lang.String c)`
`void` | `setObject(java.lang.String a, java.lang.Object b)`
`void` | `setObject(java.lang.String a, java.lang.Object b, int c)`
`void` | `setObject(java.lang.String a, java.lang.Object b, int c, int d)`
`void` | `setShort(java.lang.String a, short b)`
`void` | `setString(java.lang.String a, java.lang.String b)`
`void` | `setTime(java.lang.String a, java.sql.Time b)`
`void` | `setTime(java.lang.String a, java.sql.Time b, java.util.Calendar c)`
`void` | `setTimestamp(java.lang.String a, java.sql.Timestamp c)`
`void` | `setTimestamp(java.lang.String a, java.sql.Timestamp b, java.util.Calendar c)`
`void` | `setURL(int a, java.net.URL b)`
`void` | `setURL(java.lang.String a, java.net.URL b)`

Methods inherited from class weblogic.jdbc.oci.Statement
`addBatch, addWarning, cancel, checkIfArgNull, checkIfClosed, checkJdbcSql, clearParameters, clearWarnings, close_cursor, close, execute, execute, executeQuery, executeQuery, executeUpdate, executeUpdate, fetchSize, fetchSize, finalize, getBigDecimal, getBoolean, getByte, getBytes, getConnection, getDate, getDouble, getFetchDirection, getFetchSize, getFloat, getInt, getLong, getMaxFieldSize, getMaxRows, getMoreResults, getObject, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetType, getShort, getString, getTime, getTimestamp, getUpdateCount, getWarnings, parse, registerOutParameter, setAsciiStream, setBigDecimal, setBinaryStream, setBoolean, setByte, setBytes, setCursorName, setDate, setDate, setDouble, setEscapeProcessing, setFetchDirection, setFetchSize, setFloat, setInt, setLong, setMaxFieldSize, setMaxRows, setNull, setObject, setObject, setObject, setQueryTimeout, setReader, setShort, setStream, setString, setTime, setTime, setTimestamp, setTimestamp, setUnicodeStream, wasNull`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getResultSet

    public java.sql.ResultSet getResultSet(int parameterIndex)
                                    throws java.sql.SQLException

  Used to get a ResultSet back from a Stored Procedure which has had a Cursor bound to an OUT Parameter
  Specified by:
    getResultSet in interface weblogic.jdbc.common.OracleCallableStatement

  Overrides:
    getResultSet in class Statement

### registerOutParameter

    public void registerOutParameter(int parameterIndex,
                                     int sqlType,
                                     int scale)
                              throws java.sql.SQLException

  Specified by:
    registerOutParameter in interface java.sql.CallableStatement

  Overrides:
    registerOutParameter in class Statement

### getBlob

    public java.sql.Blob getBlob(int parameterIndex)
                          throws java.sql.SQLException

  Specified by:
    getBlob in interface java.sql.CallableStatement

### getClob

    public java.sql.Clob getClob(int parameterIndex)
                          throws java.sql.SQLException

  Specified by:
    getClob in interface java.sql.CallableStatement

### getBigDecimal

    public java.math.BigDecimal getBigDecimal(int parameterIndex)
                                       throws java.sql.SQLException

  Specified by:
    getBigDecimal in interface java.sql.CallableStatement

### getObject

    public java.lang.Object getObject(int i,
                                      java.util.Map map)
                               throws java.sql.SQLException

  Specified by:
    getObject in interface java.sql.CallableStatement

### getRef

    public java.sql.Ref getRef(int i)
                        throws java.sql.SQLException

  Specified by:
    getRef in interface java.sql.CallableStatement

### getArray

    public java.sql.Array getArray(int i)
                            throws java.sql.SQLException

  Specified by:
    getArray in interface java.sql.CallableStatement

### getDate

    public java.sql.Date getDate(int parameterIndex,
                                 java.util.Calendar cal)
                          throws java.sql.SQLException

  Specified by:
    getDate in interface java.sql.CallableStatement

### getTime

    public java.sql.Time getTime(int parameterIndex,
                                 java.util.Calendar cal)
                          throws java.sql.SQLException

  Specified by:
    getTime in interface java.sql.CallableStatement

### getTimestamp

    public java.sql.Timestamp getTimestamp(int parameterIndex,
                                           java.util.Calendar cal)
                                    throws java.sql.SQLException

  Specified by:
    getTimestamp in interface java.sql.CallableStatement

### registerOutParameter

    public void registerOutParameter(int parameterIndex,
                                     int sqlType,
                                     java.lang.String typeName)
                              throws java.sql.SQLException

  Specified by:
    registerOutParameter in interface java.sql.CallableStatement

### execute

    public boolean execute(java.lang.String a,
                           int b)
                    throws java.sql.SQLException

  Overrides:
    execute in class weblogic.jdbc.oci.PreparedStatement

### execute

    public boolean execute(java.lang.String a,
                           int[] b)
                    throws java.sql.SQLException

  Overrides:
    execute in class weblogic.jdbc.oci.PreparedStatement

### execute

    public boolean execute(java.lang.String a,
                           java.lang.String[] b)
                    throws java.sql.SQLException

  Overrides:
    execute in class weblogic.jdbc.oci.PreparedStatement

### getBoolean

    public boolean getBoolean(java.lang.String a)
                       throws java.sql.SQLException

### getMoreResults

    public boolean getMoreResults(int a)
                           throws java.sql.SQLException

  Overrides:
    getMoreResults in class weblogic.jdbc.oci.PreparedStatement

### getByte

    public byte getByte(java.lang.String a)
                 throws java.sql.SQLException

### getBytes

    public byte[] getBytes(java.lang.String a)
                    throws java.sql.SQLException

### getDouble

    public double getDouble(java.lang.String a)
                     throws java.sql.SQLException

### getFloat

    public float getFloat(java.lang.String a)
                   throws java.sql.SQLException

### executeUpdate

    public int executeUpdate(java.lang.String a,
                             int b)
                      throws java.sql.SQLException

  Overrides:
    executeUpdate in class weblogic.jdbc.oci.PreparedStatement

### executeUpdate

    public int executeUpdate(java.lang.String a,
                             int[] b)
                      throws java.sql.SQLException

  Overrides:
    executeUpdate in class weblogic.jdbc.oci.PreparedStatement

### executeUpdate

    public int executeUpdate(java.lang.String a,
                             java.lang.String[] b)
                      throws java.sql.SQLException

  Overrides:
    executeUpdate in class weblogic.jdbc.oci.PreparedStatement

### getInt

    public int getInt(java.lang.String a)
               throws java.sql.SQLException

### getResultSetHoldability

    public int getResultSetHoldability()
                                throws java.sql.SQLException

  Overrides:
    getResultSetHoldability in class weblogic.jdbc.oci.PreparedStatement

### getObject

    public java.lang.Object getObject(java.lang.String a)
                               throws java.sql.SQLException

### getObject

    public java.lang.Object getObject(java.lang.String a,
                                      java.util.Map b)
                               throws java.sql.SQLException

### getString

    public java.lang.String getString(java.lang.String a)
                               throws java.sql.SQLException

### getBigDecimal

    public java.math.BigDecimal getBigDecimal(java.lang.String a)
                                       throws java.sql.SQLException

### getURL

    public java.net.URL getURL(int a)
                        throws java.sql.SQLException

### getURL

    public java.net.URL getURL(java.lang.String a)
                        throws java.sql.SQLException

### getArray

    public java.sql.Array getArray(java.lang.String a)
                            throws java.sql.SQLException

### getBlob

    public java.sql.Blob getBlob(java.lang.String a)
                          throws java.sql.SQLException

### getClob

    public java.sql.Clob getClob(java.lang.String a)
                          throws java.sql.SQLException

### getDate

    public java.sql.Date getDate(java.lang.String a)
                          throws java.sql.SQLException

### getDate

    public java.sql.Date getDate(java.lang.String a,
                                 java.util.Calendar b)
                          throws java.sql.SQLException

### getParameterMetaData

    public weblogic.jdbc.oci.ParameterMetaData getParameterMetaData()
                                                             throws java.sql.SQLException

  Overrides:
    getParameterMetaData in class weblogic.jdbc.oci.PreparedStatement

### getRef

    public java.sql.Ref getRef(java.lang.String a)
                        throws java.sql.SQLException

### getGeneratedKeys

    public java.sql.ResultSet getGeneratedKeys()
                                        throws java.sql.SQLException

  Overrides:
    getGeneratedKeys in class weblogic.jdbc.oci.PreparedStatement

### getTime

    public java.sql.Time getTime(java.lang.String a)
                          throws java.sql.SQLException

### getTime

    public java.sql.Time getTime(java.lang.String a,
                                 java.util.Calendar b)
                          throws java.sql.SQLException

### getTimestamp

    public java.sql.Timestamp getTimestamp(java.lang.String a)
                                    throws java.sql.SQLException

### getTimestamp

    public java.sql.Timestamp getTimestamp(java.lang.String a,
                                           java.util.Calendar b)
                                    throws java.sql.SQLException

### getLong

    public long getLong(java.lang.String a)
                 throws java.sql.SQLException

### getShort

    public short getShort(java.lang.String a)
                   throws java.sql.SQLException

### registerOutParameter

    public void registerOutParameter(java.lang.String a,
                                     int b)
                              throws java.sql.SQLException

### registerOutParameter

    public void registerOutParameter(java.lang.String a,
                                     int b,
                                     int c)
                              throws java.sql.SQLException

### registerOutParameter

    public void registerOutParameter(java.lang.String a,
                                     int b,
                                     java.lang.String c)
                              throws java.sql.SQLException

### setAsciiStream

    public void setAsciiStream(java.lang.String a,
                               java.io.InputStream b,
                               int c)
                        throws java.sql.SQLException

### setBigDecimal

    public void setBigDecimal(java.lang.String a,
                              java.math.BigDecimal b)
                       throws java.sql.SQLException

### setBinaryStream

    public void setBinaryStream(java.lang.String a,
                                java.io.InputStream b,
                                int c)
                         throws java.sql.SQLException

### setBoolean

    public void setBoolean(java.lang.String a,
                           boolean b)
                    throws java.sql.SQLException

### setByte

    public void setByte(java.lang.String a,
                        byte b)
                 throws java.sql.SQLException

### setBytes

    public void setBytes(java.lang.String a,
                         byte[] b)
                  throws java.sql.SQLException

### setCharacterStream

    public void setCharacterStream(java.lang.String a,
                                   java.io.Reader b,
                                   int c)
                            throws java.sql.SQLException

### setDate

    public void setDate(java.lang.String a,
                        java.sql.Date b)
                 throws java.sql.SQLException

### setDate

    public void setDate(java.lang.String a,
                        java.sql.Date b,
                        java.util.Calendar c)
                 throws java.sql.SQLException

### setDouble

    public void setDouble(java.lang.String a,
                          double b)
                   throws java.sql.SQLException

### setFloat

    public void setFloat(java.lang.String a,
                         float b)
                  throws java.sql.SQLException

### setInt

    public void setInt(java.lang.String a,
                       int b)
                throws java.sql.SQLException

### setLong

    public void setLong(java.lang.String a,
                        long b)
                 throws java.sql.SQLException

### setNull

    public void setNull(java.lang.String a,
                        int b)
                 throws java.sql.SQLException

### setObject

    public void setObject(java.lang.String a,
                          java.lang.Object b)
                   throws java.sql.SQLException

### setObject

    public void setObject(java.lang.String a,
                          java.lang.Object b,
                          int c)
                   throws java.sql.SQLException

### setObject

    public void setObject(java.lang.String a,
                          java.lang.Object b,
                          int c,
                          int d)
                   throws java.sql.SQLException

### setShort

    public void setShort(java.lang.String a,
                         short b)
                  throws java.sql.SQLException

### setString

    public void setString(java.lang.String a,
                          java.lang.String b)
                   throws java.sql.SQLException

### setTime

    public void setTime(java.lang.String a,
                        java.sql.Time b)
                 throws java.sql.SQLException

### setTime

    public void setTime(java.lang.String a,
                        java.sql.Time b,
                        java.util.Calendar c)
                 throws java.sql.SQLException

### setTimestamp

    public void setTimestamp(java.lang.String a,
                             java.sql.Timestamp c)
                      throws java.sql.SQLException

### setTimestamp

    public void setTimestamp(java.lang.String a,
                             java.sql.Timestamp b,
                             java.util.Calendar c)
                      throws java.sql.SQLException

### setURL

    public void setURL(int a,
                       java.net.URL b)
                throws java.sql.SQLException

  Overrides:
    setURL in class weblogic.jdbc.oci.PreparedStatement

### setURL

    public void setURL(java.lang.String a,
                       java.net.URL b)
                throws java.sql.SQLException

### setNull

    public void setNull(java.lang.String a,
                        int b,
                        java.lang.String c)
                 throws java.sql.SQLException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference